%define name    id3lib
%define	version	3.8.3
%define release 6mdk

%define major 3.8_3
%define libname %mklibname id3_ %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:	A software library for manipulating ID3v1 and ID3v2 tags.
Source:         http://download.sourceforge.net/id3lib/%{name}-%version.tar.bz2
Patch:		id3lib-3.8.2-doxygen.patch.bz2
URL:		http://id3lib.sourceforge.net
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	LGPL
Prefix:         %{_prefix}
Obsoletes:      id3lib-examples
Provides:	id3lib-examples
BuildRequires:  doxygen
BuildRequires:	zlib-devel

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include 
standards-compliant ID3v1/2 tagging capabilities in their applications.  
Features include identification of valid tags, automatic size conversions, 
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.
Included are some simple command line example applications.

%package -n %{libname}
Summary: Id3lib libraries
Group: System/Libraries

%description -n %{libname}
This package provides a software library for manipulating ID3v1 and ID3v2 tags.

%package -n %{libname}-static-devel
Summary: Id3lib static libraries
Requires:       %{libname} = %{epoch}:%{version}-%release
Group: Development/C++

%description -n %{libname}-static-devel
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It contains the static library of id3lib.

%package	-n %{libname}-devel
Summary:	Headers for developing programs that will use id3lib
Group:		Development/C++
Requires:       %{libname} = %{epoch}:%{version}-%release
Requires:	zlib-devel
Obsoletes:      id3lib-doc
Provides:	libid3-devel = %{epoch}:%version-%release
Provides:	libid3lib-devel = %{epoch}:%version-%release , id3lib-doc
Provides:	id3lib-devel = %{epoch}:%version-%release
#for rpmlint
Provides:	libid3lib3.8-devel = %{epoch}:%version-%release
Provides:	libid3_3.8-devel = %{epoch}:%version-%release

%description	-n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use id3lib, the software library for ID3v1 and ID3v2
tag manipulation.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch
(mkdir -p doc/examples
cd examples
cp *.cpp *.c *.h *.tag *.jpg *.mp3 ../doc/examples
)

%build
%configure2_5x
%make
%make docs

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog HISTORY NEWS README THANKS TODO
%{_bindir}/*

%files -n %{libname}
%defattr(-, root, root)
%doc README COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc doc/*.html doc/*gif doc/*.txt doc/*.jpg doc/*.ico doc/*.css
%doc doc/api doc/examples
%{_includedir}/id3*.h
%{_includedir}/id3
%{_libdir}/*.la
%{_libdir}/*.so

%files -n %{libname}-static-devel
%defattr(-, root, root)
%{_libdir}/*.a

%changelog
* Mon Feb  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.8.3-6mdk
- provide id3lib-devel as well

* Mon Jan 19 2004 Olivier Blin <blino@mandrake.org> 3.8.3-5mdk
- add Epoch to Requires/Provides

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.8.3-4mdk
- rebuild for new rpm

* Sun Apr 27 2003 Stefan van der Eijk <stefan@eijk.nu> 3.8.3-3mdk
- BuildRequires: zlib-devel (otherwise it's own zlib is made &
  packaged)

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.8.3-2mdk
- the devel package needs zlib-devel 
- add a provides libid3-devel to the devel package

* Thu Mar 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.8.3-1mdk
- fix deps
- rename library, lib.*lib is really stupid
- mklibname macro
- new major 
- new version

* Fri Nov 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.2-2mdk
- readd buildrequires for doxygen

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.2-1mdk
- make spec file short-circuit compatible
- patch Doxyfile.in to fix docs generation
- new major
- new version

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.1-2mdk
- split out static library to extra package
- arrgh, the major number has changed

* Sun Nov  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.1-1mdk
- drop merged patch 
- new version

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-2mdk
- patch from CVS for gcc 3.2 build

* Sun Aug 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-1mdk
- new version

* Sun Jul 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-0.pre3.0.2mdk
- gcc 3.2 build

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-0.pre3.0.1mdk
- 3.8.0pre3
- add epoch to fix a pre version problem

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-0.20020707.1mdk
- new cvs snapshot

* Fri Jun 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-0.20020628.1mdk
- updated CVS snapshot
- drop merged patch 

* Mon May 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-0.20020321.1mdk
- clean CVS internal files from examples dir
- update to last CVS version
- patch to make it work with gcc3.1
- rebuild with gcc 3.1
- enable optimization
- configure 2.5 macro 

* Thu Jan  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.8.0-0.pre2.1.1mdk
- major number 3.8_0
- versioned provides libid3lib-devel 
- 3.8.0pre2.1
- removed the patches

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-8mdk
- back for compatibility

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-7mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- added patch for id3v1 parsing, no more garbage from not terminated strings

* Sun Aug 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 3.7.13-6mdk
- reduced optimization level

* Wed Aug 01 2001  Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-5mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-4mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- cosmetic patch fixes
	- updated build requirements

* Sun Apr 22 2001 Gtz Waschk <waschk@linux-mandrake.com> 3.7.13-3mdk
- patched for building with gcc 2.96
- disabled creation of latex doc (problem with newer doxygen?)
- made rpmlint happy
* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-2mdk
- fix build

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-1mdk
- used srpm from Gtz Waschk :
	Thu Sep 21 2000 Gtz Waschk <waschk@linux-mandrake.com> 3.7.13-1mdk
	- created initial Mandrake package
	- reorganized packages

* Fri Jun 23 2000 Scott Haug <scott@id3.org> 3.7.10-1
- Version 3.7.10

* Wed May 24 2000 Scott Haug <scott@id3.org> 3.7.9-1
- Version 3.7.9

* Wed May 10 2000 Scott Haug <scott@id3.org> 3.7.8-1
- Version 3.7.8

* Wed May 10 2000 Scott Haug <scott@id3.org> 3.7.7-1
- Version 3.7.7

* Wed May 03 2000 Scott Haug <scott@id3.org> 3.7.6-1
- Version 3.7.6

* Fri Apr 28 2000 Scott Haug <scott@id3.org> 3.7.5-1
- Version 3.7.5

* Wed Apr 26 2000 Scott Haug <scott@id3.org> 3.7.4-1
- Version 3.7.4

* Mon Apr 24 2000 Scott Haug <scott@id3.org> 3.7.3-1
- Version 3.7.3
- Added explicit RPM_OPT_FLAGS def based on arch, since -fno-exceptions and
  -fno-rtti are part of the default flags in rpmrc and we need both exceptions
  and rtti (exceptions uses rtti)

* Fri Apr 21 2000 Scott Haug <scott@id3.org> 3.7.2-1
- Version 3.7.2
- More conditional blocks for noarch
- More thorough cleaning of files for documentation
- Updated html directory

* Thu Apr 20 2000 Scott Haug <scott@id3.org> 3.7.1-2
- Fixed date of changelog entry for 3.7.1-1
- Added conditional blocks so docs only get built for noarch target

* Wed Apr 19 2000 Scott Haug <scott@id3.org> 3.7.1-1
- Version 3.7.1
- Removed zlib-devel requirement from devel
- Added doc package to distribute documentation
- Added examples package to distribute binary examples (id3tag, id3info, ...)
- Moved doc/ and examples/ source files from devel to doc package

* Mon Apr 17 2000 Scott Haug <scott@id3.org> 3.7.0-1
- First (s)rpm build
